Installing Windows Server 2003 R2

This documentation provides information about installing or upgrading the Microsoft® Windows Server™ 2003 R2 operating system and its components.

Windows Server 2003 R2 contains two product discs. Disc 1 contains the latest version of Windows Server 2003. Disc 2 contains the installation files for the Windows Server 2003 R2 optional components.

Note

Installing Disc 2 does not automatically install the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

In this topic

  • Before You Install

  • Installing or Upgrading to Windows Server 2003 R2

  • Installing Optional Components and Server Roles

  • Administering components from a computer running Windows XP

  • Troubleshooting installation issues with Windows Server 2003 R2

© 2006 Microsoft Corporation. All rights reserved.


Before You Install

Before you install Windows Server 2003 R2, do the following:

  • If you are upgrading, fully back up your servers. Your backup should include all data and configuration information that is necessary for the computer to function. It is important to perform a backup of configuration information for servers, especially those that provide network infrastructure, such as Dynamic Host Configuration Protocol (DHCP). When you perform the backup, be sure to include the boot and system partitions and the System State data. Another way to back up configuration information is to create a backup set for Automated System Recovery.

  • Update the Active Directory schema on domain controllers. In Windows Server 2003 Active Directory networks, you will need to update the Active Directory schema before:

    • Installing Windows Server 2003 R2 on a domain controller.

    • Configuring a Windows Server 2003 R2 server to be a domain controller by using the Active Directory Installation Wizard (Dcpromo.exe).

    To update the schema, on the schema master domain controller, insert Disc 2 and open the command prompt. Then, change to the Cmpnents\R2\Adprep folder of Disc 2, and type: adprep.exe /forestprep

  • Disconnect UPS devices. If you have an uninterruptible power supply (UPS) connected to your target computer, disconnect the connecting serial cable before running Setup. Setup automatically attempts to detect devices connected to serial ports, and UPS equipment can cause problems with the detection process.

  • Consider the following features in on Disc 1 that might affect security:

    • Windows Firewall. Windows Firewall is turned off by default and must be turned on to begin protecting systems. Before enabling Windows Firewall, you should understand the changes that it will make to your environment. If you choose to enable Windows Firewall, you should configure it with Security Configuration Wizard (SCW), or you should base the configuration on SCW security policies.

    • Security Configuration Wizard (SCW). SCW is the preferred method for configuring Windows Firewall and creating security policies for servers based on their roles. SCW provides a guided means of configuring Windows Firewall. Before you deploy SCW policies to your servers, you should research SCW, Windows Firewall, and best practices for both. For more information, see "Security Configuration Wizard for Windows Server 2003" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=45503).

      In addition, you should conduct pilot deployment testing of SCW and Windows Firewall (or any other firewall you may be using).

    • Internet Explorer. If you are upgrading from Windows Server 2003, you should note the many changes to Microsoft Internet Explorer on Disc 1. For example, Internet Explorer has been updated to prevent unintentional downloads of misrepresented, malicious code. It also prevents automatic resizing of browser windows (which is sometimes used to extract sensitive data from computers). For more information about these changes, see "Changes to Functionality in Microsoft Windows Server 2003 Service Pack 1" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=47557).

  • Check minimum system requirements. Review the minimum and recommended system requirements for Windows Server 2003. To do this, see "System Requirements and Hardware Compatibility" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51190). In addition to these requirements, you will need approximately 100 megabytes (MB) of hard disk space for Disc 2.

  • Read the release notes located on both product discs. The release notes that are located on Disc 1 (Relnotes.htm) contain information about late-breaking issues with Windows Server 2003. The release notes located on Disc 2 (R2relnotes.htm) contain information about late-breaking issues with Windows Server 2003 R2.

  • Provide Mass Storage Drivers. If you have a mass storage controller (such as a SCSI, RAID, or Fibre Channel adapter) for your hard disk, confirm that the controller is designed for products in the Windows Server 2003 family by checking the hardware and software compatibility information in the Windows Server Catalog on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=37823).

    If your controller is compatible, but you are aware that the manufacturer has supplied a separate driver file for use with products in the Windows Server 2003 family, obtain the file (on a floppy disk or CD) before you begin Setup. During the early part of Setup, a line at the bottom of the screen will prompt you to press F6. Further prompts will guide you in supplying the driver file to Setup so that it can gain access to the mass storage controller.

    If you are not sure whether you must obtain a separate driver file from the manufacturer of your mass storage controller, you can try running Setup. If the controller is not supported by the driver files on the Setup CD and, therefore, requires a driver file that is supplied by the hardware manufacturer, Setup stops and displays a message saying that no disk devices can be found, or it displays an incomplete list of controllers. After you obtain the necessary driver file, restart Setup, and press F6 when you are prompted.

  • Prepare Mirror sets or other disk sets. If you used the Microsoft Windows NT® 4.0 operating system to create a volume set, mirror set, stripe set, or stripe set with parity, and you want to run Setup for Disc 1, you must prepare the disk set first. For more information, click "Getting Ready for an Upgrade" in Readme.htm located on Disc 1. This issue is documented in the "Working with Volume, Mirror, or Stripe Sets or Stripe Sets with Parity" section.

  • Provide a Custom Hardware Abstraction Layer (HAL) File. If you have a custom Hardware Abstraction Layer (HAL) file supplied by your computer manufacturer, before you begin Setup for Disc 1, locate the floppy disk or other medium containing the file. During the early part of Setup, a line at the bottom of the screen will prompt you to press F6; however, at this time, press F5 (not F6). After you press F5, follow the prompts to include your HAL file in the Setup process.

  • If you are remotely installing Disc 2, enable Terminal Services. After you install Disc 1, you will need to manually enable Terminal Services on the target computer. This is because Terminal Services is disabled by default. To do this, right click My Computer, and then click Properties. On the Remote tab, select the Allow users to connect remotely to this computer check box.

Important Installation Information

Before you install Windows Server 2003 R2, consider the following:

  • The Windows Server 2003 R2 optional components are not installed automatically. When you complete the installation of Disc 2, you are not installing the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server.

    Note

    Microsoft Management Console (MMC) 3.0 is installed automatically when you install Windows Server 2003 R2.

  • You may need to upgrade a component. If Active Directory Application Mode (ADAM) or Windows SharePoint Services is already installed on your computer, you can upgrade to the new version that is included in Windows Server 2003 R2. For more information about upgrading one of these components, see the Help for the component on the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560).

  • You cannot uninstall Windows Server 2003 R2. The Windows Server 2003 R2 source files are permanent, but you will be able to uninstall any optional components that you install.

  • Important information for 64-bit versions. You can only install 64-bit versions of Disc 2 on computers running the 64-bit versions of Windows Server 2003 that is on Disc 1. In other words, you cannot install the 32-bit version of Windows Server 2003 R2 on a computer running the 64-bit version of Windows Server 2003.


Installing or Upgrading to Windows Server 2003 R2

Windows Server 2003 R2 contains two product discs. Disc 1 contains Windows Server 2003. Disc 2 contains the installation files for the Windows Server 2003 R2 optional components. Both discs use the same Product Key.

Note

Installing Disc 2 does not automatically install the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

In this topic

  • Performing a Clean Installation of Windows Server 2003 R2

  • Upgrading to Windows Server 2003 R2

  • Command-line options for installing Windows Server 2003 R2


Performing a Clean Installation of Windows Server 2003 R2

Windows Server 2003 R2 contains two product discs. Disc 1 contains the latest version of Windows Server 2003. Disc 2 contains the installation files for the Windows Server 2003 R2 optional components. Both discs use the same Product Key.

In this topic

  • Install from the product discs

  • Install from a shared network resource

  • Perform an unattended installation

  • Install by using Remote Installation Services


Install from the product discs

To perform a clean installation of Windows Server 2003 R2 using the product discs, you will need to install both Disc 1 and Disc 2.

Note

Installing Windows Server 2003 R2 does not automatically install the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

To install Windows Server 2003 R2 from the product discs

  1. Insert Disc 1 into your CD-ROM drive, and then restart the computer.

  2. Follow the instructions in your computer's startup routine to start the computer from the CD.

  3. Follow the instructions on your screen. When you are prompted to enter the Product Key, type the Product Key that comes with the two product discs.

    Note

    For more information about installing Windows Server 2003 (Disc 1), see the Readme.htm located on the root of Disc 1.

    Note

    When the computer restarts after installation of Disc 1, do not press any key to boot from the CD.

  4. After you install Disc 1, log on to the computer as an administrator.

  5. At the prompt, insert Disc 2, and then click OK.

  6. Follow the instructions on your screen.


Install from a shared network resource

To perform a clean installation of Windows Server 2003 R2 using a shared network resource, you will need to install the files located on both Disc 1 and Disc 2.

Note

Installing Windows Server 2003 R2 does not autmatically install the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

To install Windows Server 2003 R2 from a shared network resource

  1. On a network server, create a shared resource called \\ServerName\FolderName, where ServerName is the name of your server, and FolderName is the name of the shared resource that you created.

    Important

    Ensure that only system administrators have full access to this folder. Other users should have only Read and Execute permissions.

  2. Copy all of the files and folders from Disc 1 to \\ServerName\FolderName.

  3. Copy all of the files and folders from Disc 2 to \\ServerName\FolderName.

  4. Click Yes to over write the Autorun.inf file.

  5. On the computer on which you want to install Windows Server 2003 R2, log on as an administrator and connect to the shared folder that contains the Setup files.

  6. To first install Windows Server 2003, in the i386 folder, click Winnt32.exe. For 64-bit versions, this file is located in the Amd64 folder.

  7. Follow the instructions on your screen. When you are prompted to enter the Product Key, type the Product Key that comes with the two product discs.

  8. After Setup for Windows Server 2003 is complete, log on to the computer as an administrator. Setup for Disc 2 should start automatically. If it does not start automatically, connect to the shared folder that contains the Setup files and in the \Cmpnents\R2 folder, click Setup2.exe.

  9. Follow the instructions on your screen.


Perform an unattended installation

To learn about unattended installation, see the following:

  • If you want to perform an unattended installation of both Disc 1 and Disc 2, see "Automating Windows Server 2003 R2 Setup" in Deploy.chm located in the \Docs folder Disc 2. This documentation will help you create and modify the Unattend.txt file.

  • If you want to perform an unattended installation of only Disc 2 from the command-line, see Command-line options for installing Windows Server 2003 R2.

  • For more information about running unattended Setup (also called automated installation), see the "Windows Server 2003 Deployment Kit: Automating and Customizing Installations" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=50476).

  • If you are upgrading to a volume licensed version of Windows Server 2003 R2 and you'd like to encrypt your product key, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=55123).


Install by using Remote Installation Services

You can install Windows Server 2003 R2 on remote computers using Remote Installation Services (RIS).

If this is your first time using RIS, you will need to install and configure RIS before performing these procedures. To learn about installing and configuring RIS, see "How To Use Remote Installation Services to Install Windows Server 2003 on Remote Computers" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=50199).

Installing Using RIS

In the first procedure in this section, you will create an image of Windows Server 2003 (Disc 1). In the second procedure, you will add the Windows Server 2003 R2 installation files (Windows Server 2003 R2 Disc 2) to the image you created.

  • To create an image of Windows Server 2003 (Disc 1)

  • To add the Windows Server 2003 R2 installation files (Disc 2) to the image

To create an image of Windows Server 2003 (Disc 1)

  1. On a computer running RIS, log on as a user with administrative privileges.

  2. Click Start, click Run, type risetup.exe, and then click OK to start the RIS Setup Wizard.

  3. When the Welcome screen appears, click Next.

  4. Select Add a new OS image to this remote installation server, and then click Next.

  5. You are then prompted for the location of the client operating system installation files. Insert Windows Server 2003 R2 Disc 1 in the CD-ROM drive, and then click Next.

    Note

    Microsoft only supports the use of Microsoft media when creating a client operating system image. The use of non-Microsoft media is not supported.

  6. Type the folder name for the Disc 1 installation files on the RIS server, and then click Next.

  7. Type a friendly description for the operating system image. For example, you might type Windows-Server-2003. This is displayed to users after they start a remote client and run the Client Installation Wizard.

  8. Click Next.

  9. If you have created an operating system image on this server in the past, you will be prompted to specify what Setup should do with the old client installation screens. Select one of the following:

    • If you want to use the old installation screens at a later time, select Use the new client installation screens, and rename the old ones with a .bak extension.

    • If you want to delete the old installation screens, select Use the new client installation screens, and overwrite the old ones.

    • If you have made modifications to the installation screens that you would like to preserve, select Use the old client installation screens.

  10. Click Next.

  11. Click Finish, and then click Done.
To add the Windows Server 2003 R2 installation files (Disc 2) to the image

  1. Navigate to the image that you created in the previous procedure. The image will be located in Drive:\RemoteInstallFolder\Setup\Language\Images\ImageName. For example, E:\RemoteInstall\Setup\English\Images\Windows-Server-2003.

  2. In this directory, create an $OEM$ folder and a Cmpnents folder. For example, you should have the following:

    E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\i386

    E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\$OEM$

    E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\Cmpnents

  3. In the $OEM$ folder, create the following directory: $OEM$\$1\R2.

  4. In the $OEM$\$1\R2 directory, create a file named R2comp.inf.

  5. In R2comp.inf, create a [Version] section and then create a [Components] section that lists the components that you would like to install. For example, the following example installs Active Directory Application Mode (ADAM) and Common Log File System:

    [Version]
Signature = "$Windows NT$"
[Components]
ADAM=on
CLFS=on

    For a complete list of the components that you can install, see Deploy.chm located in the \Docs folder of Windows Server 2003 R2 Disc 2.

  6. Copy the content of the Cmpnents folder of Disc 2, into E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\Cmpnents

  7. Open the RISstndrd.sif file that is located in:

    E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\i386\templates.

    Note

    For x64-based computers, this file is located in the Amd64\Templates folder.

  8. Make the following changes in RISstndrd.sif. This change specifies that Setup should copy the subfolders and files contained in the $OEM$ folder.

    [Unattended]
OemPreinstall = yes

  9. In RISstndrd.sif, add a [GuiRunonce] section. The [GuiRunonce] section contains commands to execute the first time an administrator logs on to the computer. In the following example, the /q option specifies that Setup should run in quiet mode, the /cs option creates a shortcut on the desktop to a document that describes the new Windows Server 2003 R2 components, and the /a option specifies that you accept the EULA. In addition, starting the command with "cmd /c" ensures that Windows Server 2003 R2 Setup is complete before executing the next command, and "ProductID" is the Product Key that comes with the two product discs. For a complete list of the options that you can add to this section, see Deploy.chm located in the \Docs folder of Windows Server 2003 R2 Disc 2.

    [GuiRunonce]
Command0="cmd /c \\RISServer\reminst\setup\Language\ImageName\Cmpnents\R2\setup2.exe /q /cs /a”
Command1="%windir%\system32\sysocmgr.exe /i:sysoc.inf /u:C:\R2\r2comp.inf"
[UserData]
ProductID = "XXXXX-XXXXX-XXXXX-XXXXX-XXXXX"

  10. If you want the administrator to be able to install a Windows Server 2003 R2 component in the future, copy the contents of Disc 2 into E:\RemoteInstall\Setup\English\Images\Windows-Server-2003\$OEM$\$1\R2. After installation, these files will be available in C:\R2 on the client computer.


Upgrading to Windows Server 2003 R2

Windows Server 2003 R2 contains two product discs. Disc 1 contains Windows Server 2003. Disc 2 contains the installation files for the Windows Server 2003 R2 optional components. Both discs use the same product key.

The upgrade scenarios are different depending on the version of this operating system that you have.

  • If you have the first release of Windows Server 2003 R2, which contains Service Pack 1 (SP1), see Upgrading when you have the SP1 version of Windows Server 2003 R2. If the discs that you have do not specify which service pack is included, then the discs contain SP1.

  • If you have the second release of Windows Server 2003 R2, which contains Service Pack 2, see Upgrading when you have the SP2 version of Windows Server 2003 R2. To verify that you have this version, ensure that "includes Service Pack 2" is labeled on your product discs. If the discs that you have do not specify which service pack is included, then the discs contain SP1.

    Note

    When you install Windows Server 2003 R2, you are not installing the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.


Upgrading when you have the SP1 version of Windows Server 2003 R2

Important

This topic applies only if you have the first release of Windows Server 2003 R2 where Disc 1 contains Service Pack 1 (SP1). If the product discs that you have do not specify which service pack is included, then the discs contain SP1.

You can upgrade to Windows Server 2003 R2 from computers running the following operating systems:

  • Windows Server 2003 with a service pack

  • Windows Server 2003 without a service pack

  • Windows 2000 Server

  • Windows NT Server 4.0 with Service Pack 5 or later

  • Windows NT Server 4.0 Terminal Server Edition with Service Pack 5 or later

Note

When you install Windows Server 2003 R2, you are not installing the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

Note

If you are running Windows Server 2003 and you do not have the latest service pack installed, you can download and install the service pack from the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=5399). Use this method if you do not want to install the integrated version that is included on Disc 1. The service pack is included within the operating system, and therefore, you cannot uninstall it alone.

In this topic

  • Upgrading by using the product discs

  • Upgrading from a shared network resource

Upgrading by using the product discs

Choose from the following procedures:

  • To upgrade from Windows Server 2003 with a service pack by using the product discs

  • To upgrade from Windows NT, Windows 2000, or Windows Server 2003 without a service pack by using the product discs

To upgrade from Windows Server 2003 with a service pack by using the product discs

  1. Log on to the computer as an administrator.

  2. Insert Disc 2 into your CD-ROM drive. If the disc does not automatically open, type D:r2auto.exe at the command line. D is the drive letter associated with your CD-ROM drive.

  3. Follow the instructions on your screen, and enter the product key that comes with the two product discs.
To upgrade from Windows NT, Windows 2000, or Windows Server 2003 without a service pack by using the product discs

  1. Log on to the computer as an administrator.

  2. If you are running Windows NT or Windows 2000, first upgrade to Windows Server 2003 by inserting Disc 1 into your CD-ROM drive. If the disc does not automatically open, open the disc, and then click Setup.exe.

  3. On the first screen, select the option to install the operating system.

  4. In Installation Type, select Upgrade (Recommended).

  5. Click Next, and continue to follow the instructions on your screen. Enter the product key that comes with the two product disks.

  6. After Setup for Disc 1 is complete, log on to the computer as an administrator.

  7. When you are prompted, insert Disc 2 and then click OK.

  8. Follow the instructions on your screen.

Upgrading from a shared network resource

To upgrade to Windows Server 2003 R2 using a shared network resource, you need to copy the source files to a network share. If you have Windows Server 2003 with a service pack installed, copy and install only the Disc 2 source files. If you do not have a service pack installed, copy and install the source files of both product discs.

Choose from the following procedures:

  • To upgrade a computer running Windows Server 2003 with a service pack

  • To upgrade a computer running a Windows Server 2003 (without a service pack), Windows NT, or Windows 2000

To upgrade a computer running Windows Server 2003 with a service pack from a shared network resource

  1. Log on to the computer as an administrator.

  2. On a network server, create a shared resource called \\ServerName\FolderName, where ServerName is the name of your server, and FolderName is the name of the shared resource that you created.

    Important

    Ensure that only system administrators have full access to this folder. Other users should have only Read and Execute permissions.

  3. Copy all of the files and folders from only Disc 2 to the shared resource.

  4. Open a command prompt on the computer that you want to upgrade to Windows Server 2003 R2, connect to the shared folder that contains the source files, and run D:r2auto.exe. D is the drive letter associated with your CD-ROM drive.

  5. Follow the instructions on your screen, and enter the product key that comes with the two product discs.
To upgrade a computer running Windows Server 2003 (without a service pack), Windows NT, or Windows 2000 from a shared network resource

  1. Log on to the computer as an administrator.

  2. On a network server, create a shared resource called \\ServerName\FolderName, where ServerName is the name of your server, and FolderName is the name of the shared resource that you created.

    Important

    Ensure that only system administrators have full access to this folder. Other users should have only Read and Execute permissions.

  3. Copy all of the files and folders from Disc 1 to the shared resource.

  4. Copy all of the files and folders from Disc 2 to the shared resource.

  5. Click Yes to overwrite the Autorun.inf file.

  6. On the computer that you want to upgrade to Windows Server 2003 R2, connect to the shared folder that contains the source files.

  7. If you are running Windows NT or Windows 2000, first upgrade to Windows Server 2003: In the i386 folder, click Winnt32.exe. For 64-bit versions, this file is located in the Amd64 folder.

  8. Follow the instructions on your screen, and enter the product key that comes with the two product discs.

  9. After Setup for Windows Server 2003 is complete, log on to the computer as an administrator. Setup for Disc 2 should start automatically. If it does not start automatically, connect to the shared folder that contains the source files and run D:r2auto.exe. D is the drive letter associated with your CD-ROM drive.

  10. Follow the instructions on your screen.


Upgrading when you have the SP2 version of Windows Server 2003 R2

Important

This topic applies to you only if you have the second release of Windows Server 2003 R2 which contains Service Pack 2 (SP2). To verify that you have this version, ensure that "includes Service Pack 2" is labeled on your product discs. If the discs that you have do not specify which service pack is included, then the discs contain Service Pack 1 (SP1).

You can upgrade to Windows Server 2003 R2 from computers running the following operating systems:

  • Windows Server 2003

  • Windows Server 2003 with SP1

  • Windows 2000 Server

  • Windows NT Server 4.0 with Service Pack 5 or later

  • Windows NT Server 4.0 Terminal Server Edition with Service Pack 5 or later

Note

If you are running Windows Server 2003 and you do not have the latest service pack installed, you can download and install it from the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=5399). Use this method if you do not want to install the integrated version that is included on Disc 1. The service pack is included within the operating system, and therefore, you cannot uninstall it alone.

Note

When you install Windows Server 2003 R2, you are not installing the Windows Server 2003 R2 optional components. After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

Note

If you install Disc 1, you can only install the Disc 2 that came with your version of Windows Server 2003 R2—you cannot install the Disc 2 that came with a previous version of Windows Server 2003 R2.

In this topic

  • Upgrading by using the product discs

  • Upgrading from a shared network resource

  • Upgrade Diagram

Upgrading by using the product discs

To upgrade to Windows Server 2003 R2, you need to install both product discs.

To upgrade to Windows Server 2003 R2

  1. Log on to the computer as an administrator.

  2. To first upgrade to the latest version of Windows Server 2003, insert Disc 1 into your CD-ROM drive. If the disc does not automatically open, open the disc, and then click Setup.exe.

  3. On the first screen, select the option to install the operating system.

  4. In Installation Type, select Upgrade (Recommended).

  5. Click Next, and continue to follow the instructions on your screen, and enter the product key that comes with the two product CDs.

  6. After Setup for Disc 1 is complete, log on to the computer as an administrator.

  7. When you are prompted, insert Disc 2 and then click OK.

  8. Follow the instructions on your screen.

Upgrading from a shared network resource

To upgrade to Windows Server 2003 R2 using a shared network resource, you need to copy the source files from both discs to a network share.

To upgrade to Windows Server 2003 R2

  1. Log on to the computer as an administrator.

  2. On a network server, create a shared resource called \\ServerName\FolderName, where ServerName is the name of your server, and FolderName is the name of the shared resource that you created.

    Important

    Ensure that only system administrators have full access to this folder. Other users should have only Read and Execute permissions.

  3. Copy all of the files and folders from Disc 1 to the shared resource.

  4. Copy all of the files and folders from Disc 2 to the shared resource.

  5. Click Yes to overwrite the Autorun.inf file.

  6. On the computer that you want to upgrade to Windows Server 2003 R2, connect to the shared folder that contains the source files.

  7. To first install Windows Server 2003, in the i386 folder, click Winnt32.exe. For 64-bit versions, this file is located in the Amd64 folder.

  8. Follow the instructions on your screen, and enter the product key that comes with the two product discs.

  9. After Setup for Windows Server 2003 is complete, log on to the computer as an administrator. Setup for Disc 2 should start automatically. If it does not start automatically, connect to the shared folder that contains the source files and run D:r2auto.exe. D is the drive letter associated with your CD-ROM drive.

  10. Follow the instructions on your screen.

Upgrade diagram

The following diagram shows the upgrade paths that are supported with this version of Windows Server 2003 R2.

Upgrade paths that are supported for this version.


Command-line options for installing Windows Server 2003 R2

You can define the way Windows Server 2003 R2 is installed by using the following command-line options when you run Setup2.exe. These options are not case-sensitive.

Option Description

/q

or

/quiet

Specifies that Windows Server 2003 R2 will be installed in quiet mode, without a user interface. When you use this option, no prompts appear during the installation process.

/p: ProductKey

or

/productkey: ProductKey

Specifies the Product Key that should be used to install Windows Server 2003 R2. This parameter is required if you have not yet entered a Windows Server 2003 R2 Product Key.

ProductKey must be specified in the AAAAA-AAAAA-AAAAA-AAAAA-AAAAA format.

/a

or

/accepteula

Specifies that you accept the EULA. This parameter is required if you did not use Disc 1 to install Windows Server 2003.

By using this option you are agreeing that you have read and accepted the terms of the applicable End User License Agreement (EULA) for Windows Server 2003 R2. You can find the following files in the \Cmpnents\R2 folder of Disc 2.

  • If you have received this product from an original equipment manufacturer (OEM), the applicable EULA is Eula_oem.txt.

  • If you have acquired the product in a retail store, the applicable EULA is Eula_retail.txt.

  • If you have an evaluation copy of Windows Server 2003 R2, the applicable EULA is Eula_eval.txt.

    Important

    If you are not the end-user of this computer, before you use this option you will need to first verify that the end-user (whether an individual or an organization) has received, read, and accepted the terms of the Windows Server 2003 R2 EULA.

/cs

or

/createshortcut

Creates a shortcut on the desktop to a document that describes the new Windows Server 2003 R2 components.

/sr

or

/suppressreboot

Suppresses restart after the installation of Windows Server 2003 R2 is complete.

/?

Displays the command-line options that you can use to install Windows Server 2003 R2.
Note

If you are using Setup2.exe in a script or answer file, you should start your command with cmd /c. This ensures that Windows Server 2003 R2 Setup is complete before executing the next command, for example:cmd /c setup2.exe /q /a /p:XXXXX-XXXXX-XXXXX-XXXXX-XXXXX /cs

Note

For information about how to create and modify the Unattend.txt file and to perform an unattended installation of Windows Server 2003 R2, see "Automating Windows Server 2003 R2 Setup" in Deploy.chm located in the \Docs folder of Windows Server 2003 R2 Disc 2.


Installing Optional Components and Server Roles

After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server.

Note

For specific instructions on upgrading ADAM or Windows SharePoint Services to the new version that is included in Windows Server 2003 R2, see the Help for the component at the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560).

In this topic

  • Add or upgrade server roles by using Manage Your Server

  • Install an optional component by using Add/Remove Windows Components

  • Find a component in Add/Remove Windows Components


Add or upgrade server roles by using Manage Your Server

After Setup is complete, you can add or upgrade server roles by using Manage Your Server. The File server role and the Print server role contain updates with Windows Server 2003 R2. Additionally, the Windows® SharePoint® Services role is a new server role with Windows Server 2003 R2.

Note

For detailed instructions on upgrading ADAM or Windows SharePoint Services to the new version that is included in Windows Server 2003 R2, see the Help for the component at the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560).

To add or upgrade server roles by using Manage Your Server

  1. Log on to the computer as an administrator.

  2. Click Start, click Administrative Tools, and then click Manage Your Server.

  3. Click Add or remove a role.

  4. Follow the instructions in Configure Your Server Wizard. When you get to the Server Role page, select one of the following roles:

    • File Server

      Windows Server 2003 R2 components for file server include File Server Management, DFS Management, DFS Replication Service, File Server Resource Manager, Storage Management for SANs, Microsoft Services for Network File System, and Services for Macintosh.

    • SharePoint Services

      Windows Server 2003 R2 components for SharePoint Services includes Windows SharePoint Services.

    • Print Server

      Windows Server 2003 R2 component for Print Server is Print Management.

    Note

    During installation, you might be prompted to insert the Windows Server 2003 R2 Disc 2 (where the Windows Server 2003 R2 Setup files are located) or to specify the location of the Windows Server 2003 R2 Setup files on your hard disk. To avoid receiving this dialog box in the future, see Troubleshooting installation issues with Windows Server 2003 R2.

  5. The Configure Your Server Wizard will install the components associated with the role that you select.


Install an optional component by using Add/Remove Windows Components

After Setup is complete, you can install Windows Server 2003 R2 optional components by using Add/Remove Windows Components in Control Panel. This is a generic procedure and you might need more specific instructions to install your component. For more detailed information about installing a component, see the Help for the component at the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560).

Note

For detailed instructions on upgrading ADAM or Windows SharePoint Services to the new version that is included in Windows Server 2003 R2, see the Help for the component at the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560).

To install a component by using Add/Remove Windows Components

  1. Log on to the computer as an administrator.

  2. Open Add or Remove Programs in Control Panel.

  3. Click Add/Remove Windows Components.

  4. In Windows Components Wizard, locate the component that you want to install. To locate a component, you can click Details. For example, to install ADAM, click Active Directory, and then click Details. If you cannot find a component, see Find a component in Add/Remove Windows Components.

  5. Select the component you want to install, and then click Next.

    Note

    If an item is selected in the Windows Components Wizard, it has already been installed.

  6. If necessary, follow the instructions in the Windows Components Wizard.

    Note

    You might be prompted to insert the Windows Server 2003 Disc 2 (where the Windows Server 2003 R2 Setup files are located) or to specify the location of the Windows Server 2003 R2 Setup files on your hard disk. To avoid receiving this dialog box in the future, see Troubleshooting installation issues with Windows Server 2003 R2.

  7. When installation is complete, click Finish.


Find a component in Add/Remove Windows Components

The following table shows the relationships between the top-level components and their respective sub-level components located in Add/Remove Windows Components. To find and install a certain sub-level component, locate the associated top-level component, and then click Details. For example, to install ADAM, click Active Directory Services, and then click Details.

Top-level Components Sub-level 1 Components Sub-level 2 and 3 Components

Active Directory Services

  • Active Directory Application Mode (ADAM)

Not applicable

  • Active Directory Federation Services (ADFS)
  • ADFS Web Services Agents

    • Claims-aware Applications

    • Windows NT token-based applications

  • Federation Service

  • Federation Service Proxy

  • Identity Management for UNIX
  • Administration Components

  • Password Synchronization

  • Server For NIS

Distributed File System

  • DFS Management

  • DFS Replication Service

Not applicable

Management and Monitoring Tools

  • File Server Resource Manager

  • Hardware Management

  • Print Management Console Component

  • Storage Manager for SANs

Not applicable

Microsoft .NET Framework 2.0

Not applicable

Not applicable

Other Network File and Print Services

  • Common Log File System

Not applicable

  • Microsoft Services for NFS
  • Client for NFS

  • Microsoft Services for NFS Administration

  • RPC External Data Representation

  • RPC Port Mapper

  • Server for NFS

  • Server For NFS Authentication

  • User Name Mapping

Subsystem for UNIX-based Applications

Not applicable

Not applicable

Windows SharePoint Services

Not applicable

Not applicable


Administering components from a computer running Windows XP

To make the remote management of your servers easier, you can install the Administration Tools Packs for Windows Server 2003 R2 located on Disc 2 in the \admin directory. The following components each have an Administration Tools Pack:

  • Microsoft Management Console (MMC) 3.0

  • Print Management

  • File Server Resource Manager

  • DFS Replication

  • Identity Management for UNIX

  • File Server Management

In order to administer a component, you must first install the MMC 3.0 Administration Tools Pack. The Administration Tools Packs can be installed on computers running Windows XP Professional with Service Pack 2 (SP2).

To install or reinstall an Administration Tools Pack for Windows Server 2003 R2

  1. Insert Disc 2 into your CD-ROM drive.

  2. Open the command prompt, and type the path to the \admin directory of Disc 2. For example, if the CD drive is drive E, type: E:\admin.

  3. If you do not have MMC 3.0 installed on your computer, right-click the Administration Tools Pack for MMC 3.0, click Open, and then follow the instructions on your screen.

  4. Right-click the Administration Tools Pack you would like to install, and then click Open.

  5. Follow the instructions on your screen to install the administration pack.

    Note

    To perform this procedure, you must be a member of the Administrators group on the local computer, or you must have been delegated the appropriate authority. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.

    Note

    You can reinstall Windows Server 2003 R2 Administration Tools Pack at any time. Reinstallation will overwrite any prior installation.


Troubleshooting installation issues with Windows Server 2003 R2

The following are specific issues that you may encounter when deploying this operating system. You should review this information to help resolve deployment problems.

Stop Messages

This section outlines the steps to troubleshoot Stop messages or unexpected shutdowns, which are the result of a system error in the operating system. Following a system error, your computer stops responding, and a message is displayed on a blue or black background.

You can use the System Information tool to gather important information about system settings, problem devices, and hardware resources. For more information, see "System Information" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51216).

Important

To ensure system stability, install the latest service pack that is appropriate for your system (follow service pack instructions) and use only signed drivers. For more information, see "Windows Update" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=284).

Follow these steps for any Stop error that does not display identifying text or specific troubleshooting steps:

  1. Use the Microsoft Online Crash Analysis tool on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=11699). You can use this tool to send error reports to Microsoft and track their status by using your Microsoft Passport information. You can access the Online Crash Analysis Web site by using the Error Reporting service or by using your Web browser. When it is enabled, the Error Reporting service monitors your system for kernel and user mode faults that are related to operating system components and applications. With kernel-mode reporting, you can obtain more information about the problem or condition that caused the Stop error. For more information, see "System and program error reporting overview" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51191).

  2. Use the File Signature Verification tool (Sigverif.exe), which identifies unsigned drivers and incompatible system files on your computer. The system files and device driver files that are provided with the Windows Server 2003 family have a Microsoft digital signature, which indicates that the files are original, unaltered system files or that they have been approved by Microsoft for use with Windows.

  3. If the Stop message is caused by a driver problem, you can use Device Manager to roll back to a previous version of the driver. For more information, see "Roll back to the previous version of a driver" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51192). You may need to disable any newly installed drivers.

  4. Using a recent version of virus-protection software, check for viruses on your computer. If a virus is found, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.

  5. For updated information about Stop messages, you can search the Support Knowledge Base (KB) on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=46046). When typing keywords, use the Stop message number (for example, stop 0x0000000A).

    For more information about articles, troubleshooting wizards, and items that you can download, see "Updated technical information" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51193).

  6. If you can start the operating system, check the System Log in Event Viewer for additional information that might help determine the device or driver that is causing the problem. Many Stop messages produce specific events that you can search for, such as Event ID 1001 (generated by various Stop messages) and Event ID 6008 (usually caused by an unexpected shutdown or a computer that does not restart correctly). To display a description of an event, in Event Viewer, double-click the event. For more information about Event Viewer, see "Event Viewer" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51195).

    For updated information about Event IDs, you can search the Support Knowledge Base (KB) on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=46046).

  7. If you cannot start your computer, try starting it in Last Known Good Configuration or in Safe Mode, and then remove or disable newly added programs or drivers. For information about how to start your computer in Safe Mode, see "Start the computer in Safe Mode" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51196). For more information about how to start your computer in Last Known Good Configuration, see "Start the computer using the last known good configuration" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51197).

    Important

    When you use Last Known Good Configuration, system setting changes made after the last successful startup are lost.

  8. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).

  9. Ensure that you have updated drivers for your hardware devices. Also, ensure that you have the latest system BIOS or the correct firmware (for Itanium architecture-based computers). The device or hardware manufacturers can assist you in obtaining these items.

  10. Run the system diagnostics supplied by your computer manufacturer, especially the memory check.

  11. Confirm that your hardware is designed for the Windows Server 2003 family by clicking the appropriate link in "Support resources" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51198).

  12. If Safe Mode and other startup options do not work, you can consider using the Recovery Console. This method is recommended only if you are an advanced user who can use basic commands to identify and locate problem drivers and files. In addition, you must be an administrator to use the Recovery Console. For more information, see "Recovery Console overview" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51199).

For more information, see the following:

  • For information about how to obtain product support, see "Windows Server 2003 Support" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=26478).

  • For information about troubleshooting specific Stop messages, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51200).

  • For articles about specific Stop messages, you can search the Support Knowledge Base (KB) on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=46046).

  • For information about support options, see "Support resources" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51198).

  • For information about troubleshooting specific technologies or components (for example, disks and file systems), see the "Windows Server 2003 Technical Reference" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=4546).

The Computer Will Not Start

Products in the Windows Server 2003 family provide a variety of options you can use when a system will not start:

  • First option. Try to restart your computer using Safe Mode or related startup options, one of which is Last Known Good Configuration. These options start the system with only the minimal, necessary services. Startup options are valuable for providing access to important system tools such as Device Manager (for example, you could start in Safe Mode and roll back a device driver) or Backup (for example, to restore a System State backup). To start your computer using one of these startup options, restart your computer and press F8 when a text-based or graphical screen appears and then disappears, but before the Windows logo appears. In other words, press F8 immediately after the power-on self test of the basic input/output system (the BIOS POST). There may be a prompt that tells you when to press F8.

    For more information, see "Startup options" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51175).

    For detailed instructions, see "Recover a System That Will Not Start" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=51201).

  • Second option. An option to consider if Safe Mode does not help is the Recovery Console. This option is recommended only for advanced users or administrators. You can use the Recovery Console by starting the system from the Setup CD. On an x86-based (32-bit) computer, you can also install the Recovery Console as a startup option. The Recovery Console is a command-line interface from which you can perform tasks such as starting and stopping services and accessing the local disk (including disks formatted with NTFS).

Important

Because the Recovery Console is quite powerful, it is recommended only for advanced users or administrators.

To start the computer and use the Recovery Console, insert Disc 1 into the CD drive and restart the computer. If prompted to press a key to start the computer from the CD, press a key. When the text-based part of Setup begins, follow the prompts. Choose the Recovery Console option by pressing R and continue to follow the instructions on your screen. When you get to the system prompt, type help for a list of commands, or help commandname for help on a specific command.

Cannot Log On

  • Problem: I finished installing Disc 1 and now I cannot log on to the computer by using Terminal Services.

    Cause: Terminal Services is disabled by default when you install Windows Server 2003 on Disc 1. Therefore, after you install Disc 1, you will not be able to connect to the computer without first manually enabling Terminal Services.

    Solution: On the target computer, manually enable Terminal Services. To do this, right click My Computer, and then click Properties. On the Remote tab, select the Allow users to connect remotely to this computer check box

Post Installation Issues

The following are specific problems and solutions that you may encounter when installing this operating system or when installing a component.

  • Problem: During the installation of a Windows Server 2003 R2 component, I was prompted to insert the Windows Server 2003 R2 Disc 2 or to specify the location of the Setup files on my hard disk.

    Cause: You will receive this dialog box if Windows Server 2003 was installed from a location different from where Windows Server 2003 R2 (Disc 1 and/or Disc 2) was installed. For example, if you installed Windows Server 2003 from a shared network resource, and then you installed Windows Server 2003 R2 by using the product CDs, you will receive this dialog box.

    Solution: To avoid receiving this dialog box, install Windows Server 2003 and the Windows Server 2003 R2 from the same location. For example, you can install the operating system by using the Windows Server 2003 R2 product CDs (both Disc 1 and Disc 2) that you obtained from Microsoft. Or, if you are installing from a network share, copy all of the files and folders from Disc 1 and Disc 2 to your shared network resource. When you receive a dialog box that asks if you would like to replace the Autorun.inf file, click Yes.

  • Problem: My installation completed successfully, but I was not prompted to insert the Disc 2 after the installation of Disc 1 was complete.

    Cause: This can happen if you enter a Product Key other than the one that was included with the Windows Server 2003 R2 product discs.

    Solution: After the installation of Disc 1 is complete, insert Disc 2 to install Windows Server 2003 R2. When you are prompted, enter the Product Key that comes with the two product discs.

  • Problem: I am having problems upgrading a component to the new version that is included in Windows Server 2003 R2.

    Solution: For specific instructions on upgrading an optional component, see the Help for the component on the Windows Server 2003 R2 TechCenter Web site (http://go.microsoft.com/fwlink/?LinkId=45560). The optional components that you can upgrade are Active Directory Application Mode (ADAM) and Windows SharePoint Services.

  • Problem: I installed Windows Server 2003 R2, but the new components are not installed on my computer.

    Cause: When you install Disc 2, you are not installing the Windows Server 2003 R2 optional components.

    Solution: After Setup is complete, you can install the optional components by using Add/Remove Windows Components in Control Panel. You also have the option to add or upgrade server roles by using Manage Your Server. For more information about these options, see Installing Optional Components and Server Roles.

    Note

    Microsoft Management Console (MMC) 3.0 is installed automatically when you install Windows Server 2003 R2.